@import url("https://fonts.googleapis.com/css2?family=Tiny5&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  color: white;
  font-family: "Courier Prime", Courier, monospace;
}

body {
  background-color: black;
}

.tiny5-regular {
  font-family: "Tiny5", monospace !important;
  font-weight: 400 !important;
  font-style: normal !important;
}

.dialog-frame {
  padding: 20px;
  border-image: url("../images/dialog-box-frame.png") 50 !important;
  border: 15px solid transparent;
}

.dialog-filled {
  padding: 20px;
  border-image: url("../images/dialog-box-filled.png") 50 fill round !important;
  border: 15px solid transparent;
}

.main-container {
  padding-left: 1rem;
  padding-right: 1rem;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.typewriter-container {
  width: 100%;
  max-width: 100%;
}

.typewriter {
  overflow: hidden;
  border-right: 0.15em solid #39ff14;
  white-space: nowrap;
  margin: auto;
  letter-spacing: 0.15em;
  animation:
    typing 3.5s steps(38, end),
    blink-caret 0.75s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: #39ff14;
  }
}

.welcome-container {
  padding-bottom: 1rem;
  width: 100vw;
}

.options-container {
  padding-left: 2rem;
  padding-right: 2rem;
  height: fit-content;
  width: 100vw;
}

header {
  padding: 1rem;
}

footer {
  padding: 1rem;
  text-align: center;
}

details {
  padding: 5px;
}

.summary-p {
  color: #39ff14;
  margin: 1rem;
  padding: 1rem;
  border: 1px solid #39ff14;
}
